Index: src/backend/tcop/postgres.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/tcop/postgres.c,v
retrieving revision 1.381
diff -c -r1.381 postgres.c
*** src/backend/tcop/postgres.c	25 Dec 2003 03:52:51 -0000	1.381
--- src/backend/tcop/postgres.c	5 Jan 2004 20:59:31 -0000
***************
*** 2073,2079 ****
  	/*
  	 * Set default values for command-line options.
  	 */
- 	Noversion = false;
  	EchoQuery = false;
  
  	if (!IsUnderPostmaster)
--- 2073,2078 ----
***************
*** 2104,2110 ****
  	ctx = debug_context = PGC_POSTMASTER;
  	gucsource = PGC_S_ARGV;		/* initial switches came from command line */
  
! 	while ((flag = getopt(argc, argv, "A:B:c:CD:d:Eef:FiNOPo:p:S:st:v:W:x:-:")) != -1)
  		switch (flag)
  		{
  			case 'A':
--- 2103,2109 ----
  	ctx = debug_context = PGC_POSTMASTER;
  	gucsource = PGC_S_ARGV;		/* initial switches came from command line */
  
! 	while ((flag = getopt(argc, argv, "A:B:c:D:d:Eef:FiNOPo:p:S:st:v:W:x:-:")) != -1)
  		switch (flag)
  		{
  			case 'A':
***************
*** 2125,2138 ****
  				SetConfigOption("shared_buffers", optarg, ctx, gucsource);
  				break;
  
- 			case 'C':
- 
- 				/*
- 				 * don't print version string
- 				 */
- 				Noversion = true;
- 				break;
- 
  			case 'D':			/* PGDATA directory */
  				if (secure)
  					potential_DataDir = optarg;
--- 2124,2129 ----
Index: src/backend/utils/init/globals.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/init/globals.c,v
retrieving revision 1.76
diff -c -r1.76 globals.c
*** src/backend/utils/init/globals.c	29 Nov 2003 19:52:01 -0000	1.76
--- src/backend/utils/init/globals.c	5 Jan 2004 20:59:31 -0000
***************
*** 25,32 ****
  
  ProtocolVersion FrontendProtocol = PG_PROTOCOL_LATEST;
  
- bool		Noversion = false;
- 
  volatile bool InterruptPending = false;
  volatile bool QueryCancelPending = false;
  volatile bool ProcDiePending = false;
--- 25,30 ----
Index: src/include/miscadmin.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/miscadmin.h,v
retrieving revision 1.140
diff -c -r1.140 miscadmin.h
*** src/include/miscadmin.h	21 Dec 2003 04:34:35 -0000	1.140
--- src/include/miscadmin.h	5 Jan 2004 20:59:31 -0000
***************
*** 125,131 ****
  
  extern bool ExitOnAnyError;
  
- extern bool Noversion;
  extern char *DataDir;
  
  extern DLLIMPORT int MyProcPid;
--- 125,130 ----
